Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		libepc
Version:	0.3.10
Release:	1
BuildArch:	i686
Summary:	Easy Publish and Consume library
Group:		System/Libraries
License:	GNU/LGPLv2+
URL:		http://www.gnome.org
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/0.3/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

#Manual build dependencies
BuildRequires:	gdbm-devel
BuildRequires:	gettext

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: e2fsprogs-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: libsoup-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel dbus-devel dbus-glib-devel libtasn1-devel libgcrypt-devel libgpg-error-devel

%description
A library to easily publish and consume values on networks

%package	ui
Summary:	Widgets for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	ui
The %{name}-ui package contains widget for use with %{name}.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{name}-ui = %{version}-%{release}
Requires:	pkgconfig
Requires:	avahi-devel >= %{avahi_version}
Requires:	libsoup-devel >= %{soup_version}
Requires:	gnutls-devel
Requires:	gtk2+-devel >= %{gtk2_version}
Requires:	glib-devel >= %{glib2_version}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%post ui -p /sbin/ldconfig


%postun ui -p /sbin/ldconfig

%prep
%setup -q

%build
%configure \
--enable-static=no
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%_libdir/%{name}-1.0.so.*


%files ui
%defattr(-,root,root,-)
%_libdir/%{name}-ui-1.0.so.*

%files devel
%defattr(-,root,root,-)
%_includedir
%_libdir/%{name}-1.0.so
%_libdir/*.la
%_libdir/%{name}-ui-1.0.so
%_pkgconfig
%_datadir/gtk-doc

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.10-1
- Version update
* Sun Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.9-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.8-1
- Version update
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.3.4-1
- Initial release